#footer {
  background: #162233;
}
#footer .footer_t .logo img {
  width: 140px;
}
#footer .footer_t .share a {
  margin-left: 40px;
}
#footer .footer_t .share a img {
  height: 20px;
 
 
      filter: brightness(0) invert(1);
    opacity: 0.4; 
  transition: all 0.4s linear;
}
#footer .footer_t .share a:hover img {
  opacity: 1;
    filter: none  ;
  transform: translateY(-4px);
}
#footer .footer_f {
  border-top: 1px solid rgba(255, 255, 255, 0.1);
}
#footer .footer_f .c_l {
  flex: 0 0 auto;
}
#footer .footer_f .c_l .tit {
  color: #fff;
}
#footer .footer_f .c_l form div {
  position: relative;
}
#footer .footer_f .c_l form input {
  padding: 24px 30px;
  background: rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  width: 350px;
  border: none;
  transition: all 0.2s linear;
  color: #fff;
}
#footer .footer_f .c_l form input:focus {
  background: rgba(255, 255, 255, 0.1);
}
#footer .footer_f .c_l form .sub {
  position: absolute;
  right: 40px;
  top: 50%;
  transform: translateY(-50%);
  z-index: 2;
  cursor: pointer;
  display: flex;
}
#footer .footer_f .c_l form .sub button{
    width: auto;
    height: auto;
    background: transparent;
    padding: 0;
    line-height: normal;
        align-self: center;
    display: flex;

    
}
#footer .footer_f .c_l form .sub:hover svg path{
    fill:var(--textColor) !important
}
#footer .footer_f .c_l form .sub svg {
  width: 18px;
}
#footer .footer_f .c_r {
  flex: 1;
  display: flex;
  margin-left: 130px;
  justify-content: flex-end;
}
#footer .footer_f .c_r .list {
  flex: 0 0 auto;
  margin-left: auto;
}
#footer .footer_f .c_r .list .tit {
  transition: all 0.2s linear;
}
#footer .footer_f .c_r .list .tit a {
  opacity: 0.5;
}
#footer .footer_f .c_r .list svg {
  width: 14px;
}
#footer .footer_f .c_r .list a {
  color: #fff;
  position: relative;
}
#footer .footer_f .c_r .list a::after {
  content: "";
  width: 0;
  height: 1px;
  position: absolute;
  left: 0;
  bottom: 0;
  transition: all 0.4s linear;
  background: #fff;
}
#footer .footer_f .c_r .list a:hover {
  opacity: 1;
}
#footer .footer_f .c_r .list a:hover::after {
  width: 100%;
}
#footer .footer_f .c_r .list li {
  line-height: 2;
}
#footer .footer_b {
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  color: rgba(255, 255, 255, 0.5);
}
#footer .footer_b a {
  color: rgba(255, 255, 255, 0.5);
  position: relative;
}
#footer .footer_b span:last-child{
    display: none;
}
#footer .footer_b a::after {
  content: "";
  width: 0;
  height: 1px;
  position: absolute;
  left: 0;
  bottom: 0;
  transition: all 0.4s linear;
  background: #fff;
}
#footer .footer_b a:hover {
  color: #ffffff;
}
#footer .footer_b a:hover::after {
  width: 100%;
}
@media only screen and (max-width: 1920px) {
  #footer .footer_f .c_l form input {
    padding: 1.2vw 1.5vw;
  }
  #footer .footer_f .c_r {
    margin-left: 6.5vw;
  }
  #footer .footer_f .c_l form .sub {
    right: 2vw;
  }
}
@media only screen and (max-width: 1440px) {
  #footer .footer_f .c_l form input {
    width: 260px;
  }
  #footer .footer_t .logo img {
    width: 120px;
  }
  #footer .footer_t .share a img {
    height: 16px;
  }
}
@media only screen and (max-width: 768px) {
  .con .banner .swiper_banner .swiper-slide {
    height: 400px;
  }
  #footer .footer_f .c_l form input {
    padding: 0vw 3vw;
    height: 40px;
  }
  #footer .footer_f .c_r {
    margin-left: 13vw;
  }
  #footer .footer_f .c_l form .sub {
    right: 4vw;
  }
  #footer .footer_f {
    flex-wrap: wrap;
  }
  #footer .footer_f .c_r {
    flex-wrap: wrap;
    margin-left: 0;
    flex: 0 0 100%;
    margin-top: 20px;
  }
  #footer .footer_t {
    flex-wrap: wrap;
    justify-content: center;
  }
  #footer .footer_t .share {
    margin-top: 20px;
  }
  #footer .footer_t .share a:first-child {
    margin: 0;
  }
  #footer .footer_t .logo {
    flex: 0 0 100%;
    text-align: center;
  }
  #footer .footer_t .logo img {
    width: 80px;
  }
  #footer .footer_f .c_r .list .tit {
    line-height: 2;
  }
  #footer .footer_b {
    flex-wrap: wrap;
    justify-content: center;
  }
  #footer .footer_f .c_r ul {
    display: none;
  }
  #footer .footer_f .c_l {
    flex: 0 0 100%;
  }
  #footer .footer_f form {
    text-align: center;
  }
  #footer .footer_f .c_l form div {
    display: inline-block;
    margin: auto;
  }
  #footer .footer_f .c_l form div.dis_none{
      display: none;
  }
  #footer .footer_f .c_r .list {
    flex: 0 0 100%;
  }
  #footer .footer_f .c_l .tit {
    text-align: center;
  }
  #footer .footer_f .c_r ul {
    margin-top: 0;
    padding: 10px 0;
  }
}
